curl --request PUT \ --url 'https://sandbox.rollfi.xyz/payroll#updatePayrollTaxExemption' \ --header 'Authorization: Basic <encoded-value>' \ --header 'Content-Type: application/json' \ --data '{ "method": "updatePayrollTaxExemption", "companyId": "ECF1B47E-108F-45C0-A520-6A128A727B04", "userId": "33820169-85C2-482A-BCCF-B2281419E96E", "taxName": "WA - State paid family medical leave ER", "exemptionEffectiveEndDate": "2026-02-23"}'
Copy
{ "success": true, "message": "Payroll tax exemption end date for company updated successfully."}
Payroll
updatePayrollTaxExemption
Used to update the effectiveEndDate of a payroll tax exemption
What it does
Removes a payroll tax exemption on a specific date
Allows the effectiveEndDate to be set in the future in case the exemption expires
Allows both removal and extension of an exemption with changes to effectiveEndDate
Notes:
Tax exemptions are applied at/on payDate. If the effectiveEndDate is before the payDate the exemption is not applied to the payPeriod and vice versa
exemptionEffectiveEndDate must be today or a future date
Once the exemptionEffectiveEndDate lapses, the exemption (and any required supporting documentation) must be resubmitted with addPayrollTaxExemption to be reactivated
UserId is required when the taxName is an employee tax
PUT
/
payroll#updatePayrollTaxExemption
updatePayrollTaxExemption
Copy
curl --request PUT \ --url 'https://sandbox.rollfi.xyz/payroll#updatePayrollTaxExemption' \ --header 'Authorization: Basic <encoded-value>' \ --header 'Content-Type: application/json' \ --data '{ "method": "updatePayrollTaxExemption", "companyId": "ECF1B47E-108F-45C0-A520-6A128A727B04", "userId": "33820169-85C2-482A-BCCF-B2281419E96E", "taxName": "WA - State paid family medical leave ER", "exemptionEffectiveEndDate": "2026-02-23"}'
Copy
{ "success": true, "message": "Payroll tax exemption end date for company updated successfully."}